Package com.ocient.jdbc.proto

## Enum PlanProtocol.TestColumn.StartValsCase

- java.lang.Object
- - java.lang.Enum<PlanProtocol.TestColumn.StartValsCase>
  - - com.ocient.jdbc.proto.PlanProtocol.TestColumn.StartValsCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<PlanProtocol.TestColumn.StartValsCase>`

Enclosing class:
  PlanProtocol.TestColumn

    public static enum PlanProtocol.TestColumn.StartValsCase
    extends Enum<PlanProtocol.TestColumn.StartValsCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
`BIGINT_START`
`BINARY_START`
`BOOL_START`
`BYTE_START`
`DATE_START`
`DOUBLE_START`
`FLOAT_START`
`INT_START`
`IPV4_START`
`SMALLINT_START`
`STARTVALS_NOT_SET`
`TIMESTAMP_START`
`VARCHAR_START`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static PlanProtocol.TestColumn.StartValsCase` `forNumber​(int value)`
`int` `getNumber()`
`static PlanProtocol.TestColumn.StartValsCase` `valueOf​(int value)` Deprecated.
`static PlanProtocol.TestColumn.StartValsCase` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static PlanProtocol.TestColumn.StartValsCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BYTE_START

    public static final PlanProtocol.TestColumn.StartValsCase BYTE_START

#### SMALLINT_START

    public static final PlanProtocol.TestColumn.StartValsCase SMALLINT_START

#### INT_START

    public static final PlanProtocol.TestColumn.StartValsCase INT_START

#### BIGINT_START

    public static final PlanProtocol.TestColumn.StartValsCase BIGINT_START

#### FLOAT_START

    public static final PlanProtocol.TestColumn.StartValsCase FLOAT_START

#### DOUBLE_START

    public static final PlanProtocol.TestColumn.StartValsCase DOUBLE_START

#### BOOL_START

    public static final PlanProtocol.TestColumn.StartValsCase BOOL_START

#### IPV4_START

    public static final PlanProtocol.TestColumn.StartValsCase IPV4_START

#### VARCHAR_START

    public static final PlanProtocol.TestColumn.StartValsCase VARCHAR_START

#### BINARY_START

    public static final PlanProtocol.TestColumn.StartValsCase BINARY_START

#### DATE_START

    public static final PlanProtocol.TestColumn.StartValsCase DATE_START

#### TIMESTAMP_START

    public static final PlanProtocol.TestColumn.StartValsCase TIMESTAMP_START

#### STARTVALS_NOT_SET

    public static final PlanProtocol.TestColumn.StartValsCase STARTVALS_NOT_SET

### Method Detail

#### values

    public static PlanProtocol.TestColumn.StartValsCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlanProtocol.TestColumn.StartValsCase c : PlanProtocol.TestColumn.StartValsCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlanProtocol.TestColumn.StartValsCase valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static PlanProtocol.TestColumn.StartValsCase valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static PlanProtocol.TestColumn.StartValsCase forNumber​(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`